# Forge Medical Module

## Overview
The Medical module provides a comprehensive medical system for the Forge client. It includes features for handling player health, death, respawn, and medical costs.

## Dependencies
- forge_client_main

## Authors
- J. Schmidt
- Creedcoder
- IDSolutions

## Features

### Medical System
1. **Medical Initialization** (`fnc_initMedical.sqf`)
   - Initializes the medical system
   - Sets up necessary configurations and health monitoring

2. **Health Management**
   - **Heart Beat** (`fnc_heartBeat.sqf`)
     - Monitors player vital signs
   - **On Killed** (`fnc_onKilled.sqf`)
     - Handles player death events
   - **On Respawn** (`fnc_onRespawn.sqf`)
     - Manages player respawn process

3. **Inventory Management**
   - **Move Inventory** (`fnc_moveInventory.sqf`)
     - Handles inventory transfers during medical events
   - **Save Dropped Weapons** (`fnc_saveDroppedWeapons.sqf`)
     - Manages weapon preservation on death

4. **Medical Costs**
   - **Deduct Medical Cost** (`fnc_deductMedicalCost.sqf`)
     - Handles medical service payments

## Event Handlers
The module uses several event handlers for initialization and execution:
- `XEH_preInit.sqf`: Pre-initialization setup
- `XEH_postInit.sqf`: Post-initialization tasks
- `XEH_preStart.sqf`: Pre-start configuration
- `XEH_postInit_client.sqf`: Client-specific post-initialization
- `XEH_preInit_server.sqf`: Server-specific pre-initialization

## Usage
To use the medical module:
1. Ensure the module is properly loaded in your mission
2. Monitor player health through the medical system
3. Handle medical events using the appropriate functions
4. Manage medical costs and inventory during medical events

## Debugging
Debug mode can be enabled by uncommenting the following in `script_component.hpp`:
```cpp
#define DEBUG_MODE_FULL
```

## Version Information
Version information is managed through the main Forge client system configuration. 