#include "..\script_component.hpp"

/*
 * Function: forge_client_medical_fnc_deductMedicalCost
 * Author: IDSolutions
 *
 * [Description]
 * Deducts the medical cost from the player's account.
 *
 * Arguments:
 * 0: Unit <OBJECT>
 * 1: Total Cost <NUMBER>
 *
 * Return Value:
 * None
 *
 * Example:
 * [player, 100] call forge_client_medical_fnc_deductMedicalCost;
 *
 * Public: Yes
 */

params ["_unit", "_totalCost"];

while { (GETVAR(_unit,FORGE_Cash,0)) < _totalCost or (GETVAR(_unit,FORGE_Bank,0)) < _totalCost } do {
    if ((GETVAR(_unit,FORGE_Cash,0)) >= _totalCost or (GETVAR(_unit,FORGE_Bank,0)) >= _totalCost) exitWith {
        [_unit, ""] remoteExec ["switchMove"];
        [_unit, _totalCost] call FUNC(deductMedicalCost);
        ["Terminate"] call BFUNC(EGSpectator);
    };

    uiSleep 1;
};