#include "..\script_component.hpp"

/*
 * Function: forge_client_misc_fnc_deserializeString
 * Author: IDSolutions
 *
 * [Description]
 * Converts underscores in a string to spaces for display.
 *
 * Arguments:
 * 0: String <STRING>
 *
 * Return Value:
 * Deserialized String <STRING>
 *
 * Example:
 * ["Hello_World"] call forge_client_misc_fnc_deserializeString;
 *
 * Public: Yes
 */

params [["_string", "", [""]]];

if (_string isEqualTo "") exitWith { ERROR_MSG("String is empty"); "" };

(_string splitString "_") joinString " "