#include "..\script_component.hpp"

/*
 * Function: forge_client_phone_fnc_sendEmail
 * Author: IDSolutions
 *
 * [Description]
 * Sends an email.
 *
 * Arguments:
 * 0: Email <STRING> - The email to send to
 * 1: Message <STRING> - The message to send
 *
 * Return Value:
 * None
 *
 * Example:
 * ["test@test.com", "Hello World"] call forge_client_phone_fnc_sendEmail;
 *
 * Public: Yes
 */

params ["_email", "_msg"];

private _defaultEmail = "unknown@spearnet.mil";
private _pEmail = GETVAR(player,FORGE_Email,_defaultEmail);

{
	private _tmpEmail = GETVAR(_x,FORGE_Email,_defaultEmail);

	if (_tmpEmail isEqualTo _email) then {
		[_pEmail] remoteExec ["forge_client_phone_fnc_newEmail", _x, false];
	};
} forEach playableUnits;

// ["listadd", _email, "", -1, [_pEmail, _msg]], "forge_server_phone_fnc_addEmail", false] spawn dragonfly_db_fnc_addTask;
["listadd", _email, "", -1, [_pEmail, _msg], "", false] remoteExec ["dragonfly_db_fnc_addTask", 2, false];